using System.Collections.Generic;
using Newtonsoft.Json;

namespace MobileApp.Model
{
    public partial class RestaurantModel
    {
        [JsonProperty("records")]
        public List<RecordRestaurantModel> Records { get; set; }
}

    public partial class RecordRestaurantModel
    {
        [JsonProperty("Id")]
        public int Id { get; set; }

        [JsonProperty("countryId")]
        public int countryId { get; set; }

        [JsonProperty("Name")]
        public string Name { get; set; }

        [JsonProperty("Description")]
        public string Description { get; set; }

        [JsonProperty("Street")]
        public string Street { get; set; }

        [JsonProperty("StreetNumber")]
        public string StreetNumber { get; set; }

        public string StreetAddress
        {
            get
            {
                return Street + " " + StreetNumber;
            }
        }

        [JsonProperty("Postcode")]
        public int Postcode { get; set; }

        [JsonProperty("Latitude")]
        public double Latitude { get; set; }

        [JsonProperty("Longtitude")]
        public double Longtitude { get; set; }

        public string GPS
        {
            get
            {
                return "GPS: Lat " + Latitude + " Long "+Longtitude;
            }
        }

        [JsonProperty("imageURL")]
        public string imageURL { get; set; }

        public string fullURL
        {
            get
            {
                return "https://www.all-computer.cz/Robertos/website/uploads/" + imageURL;
            }
        }

        

        [JsonProperty("Recommended")]
        public int Recommended { get; set; }

        public string recommendedImage
        {
            get
            {
                return "recommended" + Recommended+".png";
            }
        }
    }



}
